2017-04-30 20:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0010320CentOS-7kernelpublic2017-04-06 17:38
Reporterdfinley66 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformHP OSCentOS LinuxOS Version7.1.1503
Product Version7.2.1511 
Target VersionFixed in Version 
Summary0010320: very slow performance related to setns processing
DescriptionWe are working with a vendor on a performance problem related to our arrangement of namespaces/vrfs. They have researched this and believe that the following two kernel patches address the problem we are experiencing. We would like to know if these two patches are in a kernel that is available for CentOS 7:

3d93116cef30 fs/proc_namespace.c: simplify testing nsp and nsp->mnt_ns
728dba3a39c6 namespaces: Use task_lock and not rcu to protect nsproxy

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3d93116cef30
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=728dba3a39c6

We are currently running a special "plus" kernel that you prepared for us that has a fix for buzilla bug #95211: 3.10.0-229.14.1.2.el7.centos.plus.x86_64. Redhat has sent me a note indicating that they have a new kernel available that has the bug 95211 corrected: kernel-3.10.0-345.el7.

Sorry for all of the confusing information, but we are trying to determine whether or not the two patches referenced above are available in any kernels that you have available for CentOS 7 or if they are in the latest "345" kernel that i referenced just above. Thx in advance.
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0025615

tigalch (manager)

That kernel versions sounds like the one that will come with 7.3. If those kernel patches can be put into the current plus kernel is best answered by toracat

~0025616

toracat (manager)

The two patches you referenced are not in the current RHEL/CentOS kernel but can be applied to the plus kernel. We have no access to the "345" kernel, so cannot tell if they are already in there. You can find that out by filing yet another bug report upstream (RH).

We will try to include the patches in the next plus kernel update.

~0025643

dfinley66 (reporter)

I did ask the RH folks, the patches are in their "345" version. But I don't believe that we can just take their 345 kernel and run on our CentOS 7.2.1511 system. We are running the 3.10.0.229.14.1.2 plus kernel, do you think that you will actually build another plus kernel with these two patches and, if so, do you have an idea when that might be ? thx.

~0025712

dfinley66 (reporter)

sorry to bother you, but do you think that you will be building another centos plus kernel with the two patches mentioned in this ticket ? I see that there is a version 327 kernel on the mirror site, not sure if the two patches are in that kernel. Thx in advance.

~0025713

tigalch (manager)

-327 is the current - well actually 3.10.0-327.4.5 is the current EL7 kernel. A new centos plus kernel usually gets build when RH releases an update to their kernel. If applying the patches works to the next EL7 kernel update, the patches will likely get included in that build. ETA: no idea

~0025768

toracat (manager)

Centosplus kernel (kernel-plus-3.10.0-327.10.1.el7) is out. It has a patch (2 combined) from this bug report.

~0026501

dfinley66 (reporter)

Hello, do you have any plans for building a new plus kernel in the near future? I am still impacted by that namespace issue that the two patches will supposedly correct, the patches shown in the description above. thx

~0026502

tigalch (manager)

the plus-kernel 3.10.0-327.13.1 is allready available. The two patches you mention are allready in the previous build (-327.10.1 as mentioned by toracat). If you still experiencet your performance issues, it is very likely the two patches alone do not fix your issue.

~0027990

toracat (manager)

Last edited: 2016-11-24 15:53

View 2 revisions

@dfinley66

kernel 3.10.0-514.el7 (the GA kernel for CentOS 7.3) is now available through the CR repo. Please let us know if this fixes the issue.

~0029033

toracat (manager)

Closing as resolved. Feel free to reopen if the patch did not fix the issue.
+Notes

-Issue History
Date Modified Username Field Change
2016-02-04 18:59 dfinley66 New Issue
2016-02-04 19:11 tigalch Note Added: 0025615
2016-02-04 20:48 toracat Note Added: 0025616
2016-02-04 20:49 toracat Status new => assigned
2016-02-05 21:08 dfinley66 Note Added: 0025643
2016-02-12 15:59 dfinley66 Note Added: 0025712
2016-02-12 16:06 tigalch Note Added: 0025713
2016-02-18 16:38 toracat Note Added: 0025768
2016-05-11 18:04 dfinley66 Note Added: 0026501
2016-05-11 18:09 tigalch Note Added: 0026502
2016-11-24 15:53 toracat Status assigned => feedback
2016-11-24 15:53 toracat Note Added: 0027990
2016-11-24 15:53 toracat Note Edited: 0027990 View Revisions
2017-04-06 17:38 toracat Status feedback => resolved
2017-04-06 17:38 toracat Resolution open => fixed
2017-04-06 17:38 toracat Note Added: 0029033
+Issue History